• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
fusioninventory-agent on CentOS 5.10
#1
Hello
following instructions I've managed to have a fusioninventory agent installed and running on a CentOS 6, via openSUSE build service for home:guillomovitch; when I install the agent on a CentOS 5.10 the installation goes fine, but I've got a problem running the agent; the server is expecting SSL connection; when launching the agent, this message appears:

[fault] IO::Socket::SSL 1.01 is too old, version 1.14 is required for SSL certificate validation.

the configuration file is the same on CentOS 6 and CentOS 5, and the procedure used to install the agent is the same as well
The agent version is 2.3.8.1.1 on both systems

To overcome the IO::Socket::SSL problem I should use cpan to build and install an updated module, but I don't want to; I'd be satisfied with a no SSL setup, since on this server I don't need package deployment or network inventory.

Any ideas?
Thanks a lot, Giordano
  Reply
#2
There is no RPM for this version of SSL (or newer version) ?
Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com
  Reply
#3
Hello
first of all thank you for your reply
on CentOS 5 the package is provided in the CentOS base repository; the version available is 1.01, and there isn't any newer version, neither in centOS repos nor in epel or other repositories I'm aware of; in CentOS 6 the package is available in version 1.38, but I can't use a version 6 package on a version 5 CentOS

# yum info perl-IO-Socket-SSL
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* epel: centos.kiewel-online.ch
* extras: centos.psw.net
* jpackage-generic: sunsite.informatik.rwth-aachen.de
* jpackage-generic-updates: sunsite.informatik.rwth-aachen.de
* rpmforge: mirror.crazynetwork.it
517 packages excluded due to repository priority protections
Installed Packages
Name : perl-IO-Socket-SSL
Arch : noarch
Version : 1.01
Release : 2.el5
Size : 101 k
Repo : installed
Summary : Libreria Perl per SSL trasparente
URL : http://search.cpan.org/dist/IO-Socket-SSL/
License : GPL or Artistic
Description: This module is a true drop-in replacement for IO::Socket::INET that
: uses SSL to encrypt data before it is transferred to a remote server
: or client. IO::Socket::SSL supports all the extra features that one
: needs to write a full-featured SSL client or server application:
: multiple SSL contexts, cipher selection, certificate verification, and
: SSL version selection. As an extra bonus, it works perfectly with
: mod_perl.
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)